Bug 1262533 - Interface is confusing: can't switch from graphical to text (nor from text to graphical) permanently
Interface is confusing: can't switch from graphical to text (nor from text to...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-12 06:54 EDT by Giulio 'juliuxpigface'
Modified: 2016-12-20 09:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:37:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
graphical interface during the upgrade process (13.93 KB, image/png)
2015-09-12 06:54 EDT, Giulio 'juliuxpigface'
no flags Details
textual interface during the upgrade process (48.11 KB, image/png)
2015-09-12 06:54 EDT, Giulio 'juliuxpigface'
no flags Details

  None (edit)
Description Giulio 'juliuxpigface' 2015-09-12 06:54:07 EDT
Created attachment 1072712 [details]
graphical interface during the upgrade process

Description of problem:
I'm testing the upgrade from Fedora 22 KDE to Fedora 23 with a qemu-kvm guest. Please excuse me if this report isn't clear enough, but it's not trivial to describe what's happening, since I'm not a native English speaker.

So... After issuing 'dnf system-upgrade reboot', the system rebooted as expected and the actual upgrade started.

But now, there is a constant loop between the graphical interface (graphical.png) and the textual one (text.png). After some minutes of apparent work, the interface is switched. This switch occurs before I can read the latest lines of the process. Pressing "ESC" and other keys (including CTRL+ALT+F*) doesn't help.

The problem is, I seem to be not able to stop this loop: this makes hard to understand in which part of the upgrade dnf really is. It's actually impossible to interact with the system. Moreover, I start to think that the upgrading process is stuck because it seems to be taking too long... But as I said before, I can't read the tail lines of stdout, so I don't even know if it's working.

Version-Release number of selected component (if applicable):
dnf-plugin-system-upgrade-0.4.0-1.fc22.noarch
python2-dnf-plugin-system-upgrade-0.4.0-1.fc22.noarch
dnf-plugins-core-0.1.5-2.fc22.noarch
dnf-0.6.4-6.fc22.noarch

How reproducible:
I haven't tried to reproduce it yet, the whole process (including the download part) is taking more than 3 hours.

Steps to Reproduce:
1. Boot a Fedora 22 KDE guest (mine had updates-testing enabled).
2. Update the system
3. Install "dnf-plugin-system-upgrade"
4. "systemctl add-wants system-update.trget debug-shell.service"
4. "dnf system-upgrade download --releasever=23"
5. "dnf system-upgrade reboot"
6. Don't press keys, let the system work alone.

Actual results:
1. The process seems stuck.
2. There is a constant, automatic switch between two interfaces.
3. I can't monitor the process at all.

Expected results:
User should be able to interact with (or at least monitor) the situation.

Additional info:
Yesterday I successfully performed an upgrade from Fedora 21 to Fedora 23. But I'm pretty sure I pressed the ESC key pretty early (when plymouth appeared) during that test.

Please note, as I said, that I'm testing with qemu-kvm, so it might be an issue related to virtualization.
Comment 1 Giulio 'juliuxpigface' 2015-09-12 06:54:49 EDT
Created attachment 1072713 [details]
textual interface during the upgrade process
Comment 2 Giulio 'juliuxpigface' 2015-09-12 07:13:36 EDT
(In reply to Giulio 'juliuxpigface' from comment #0)
> Moreover, I start to think that the
> upgrading process is stuck because it seems to be taking too long...


I'm sorry for this, I've got some additional (good) info.

The process is finally completed, the upgrade succeeded and the system rebooted (grub hasn't been updated, but this will be the subject of another report).
Comment 3 Giulio 'juliuxpigface' 2015-09-12 07:36:04 EDT
(In reply to Giulio 'juliuxpigface' from comment #2)
> I'm sorry for this, I've got some additional (good) info.
> 
> The process is finally completed, the upgrade succeeded and the system
> rebooted (grub hasn't been updated, but this will be the subject of another
> report).

I'm really sorry for these additional comments... I should have given a more deep check before posting. Anyway, I've found that the upgrade didn't go very well: there are lots of dupes around this system.

(In reply to Giulio 'juliuxpigface' from comment #0)
> Yesterday I successfully performed an upgrade from Fedora 21 to Fedora 23.
> But I'm pretty sure I pressed the ESC key pretty early (when plymouth
> appeared) during that test.
> 
> Please note, as I said, that I'm testing with qemu-kvm, so it might be an
> issue related to virtualization.

I've also checked the guest which I upgraded yesterday and it also contains a lot of duplicates.

But I'd focus on the 'interface issue' on this report.

(In reply to Giulio 'juliuxpigface' from comment #0)
> Version-Release number of selected component (if applicable):
> dnf-plugin-system-upgrade-0.4.0-1.fc22.noarch
> python2-dnf-plugin-system-upgrade-0.4.0-1.fc22.noarch
> dnf-plugins-core-0.1.5-2.fc22.noarch
> dnf-0.6.4-6.fc22.noarch

This section of the description was wrong. The correct versions are:
dnf-plugin-system-upgrade-0.4.0-1.fc22.noarch
python2-dnf-plugin-system-upgrade-0.4.0-1.fc22.noarch
dnf-plugins-core-0.1.11-1.fc22.noarch
dnf-1.1.1-2.fc22.noarch
Comment 4 Fedora End Of Life 2016-11-24 07:29:53 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 09:37:21 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.